# UPGRADE

## From eZ Publish 5.x

When upgrading from eZ Publish 5.x be aware of the following changes:
https://github.com/ezsystems/ezpublish-kernel/blob/master/doc/upgrade/6.0.md

## FROM 1.x to 2.0

* Support for eZ Publish kernel 6.x has been dropped. Minimum supported version
  is now 7.0

* Support for PHP 5.x and 7.0 has been dropped. Minimum supported version is
  now 7.1

* All `*.class` parameters were removed from DI container. Use compiler passes
  to set the new class or service decorators if you need to override any
  services from legacy bridge.
  
* Most of the services have been marked as private in Symfony DI container.
  You should not fetch them from container directly anymore, instead inject
  them as constructor arguments into your services. 

* HTTP 404 error conversion when legacy mode is `false` in given siteaccesses
  is now always handled by Symfony, and config option to control this has been
  removed so the logic follows legacy mode setting. If you have any error pages
  implemented in such siteaccesses in eZ Publish Legacy, you will need to
  re-implement them in Symfony stack.

* Deprecated Twig tag `ez_legacy_include` which rendered an eZ Publish Legacy
  template from a Twig template has been removed. Use the native Twig `include`
  tag instead.
  
  Before:
  
  ```
  {% ez_legacy_include "design:my/old_template.tpl" with {"someVar": "someValue"} %}
  ```
  
  After:
  
  ```
  {% include "design:my/old_template.tpl" with {"someVar": "someValue"} %}
  ```


